set H_automatic_garbage_collection 0

# ----------------------------------------------------------------------

set dbpath [lindex $argv 0]

proc usage {} {
    puts stderr "Usage: file_owners.tcl dbpath"
}

if {$dbpath != ""} {
    [Configuration] dbPath $dbpath
}

if [catch {set db [Database]} err] {
	puts stderr "Can't open pkg db: $err"
	exit 1
    }

set files [$db all_files]
foreach file $files {
    set packages [$db packages_owning [$file pathname]]
    puts stderr "[$file pathname] [$file length] [H::string_time_t [$file mtime]]"
    foreach package $packages {
	puts stderr "\t[$package name]"
    }
}

exit 0

# ----------------------------------------------------------------------
